Page MenuHomePhabricator

Integrate the app fully with the Content Service.
Closed, ResolvedPublic

Description

Definition Progress

The following is a checklist for completion of the definition of the Epic. Make sure to check these off as you complete each item.

  • Summary
  • Rationale
  • Success Metrics
  • External Dependencies
  • Unknowns
  • Product Plan
    • Prototyping
    • MVP
    • User stories
    • User Story Phab Tickets
    • Metrics Implementation
    • Metrics Phab Tickets
    • Estimates
    • Delivery Date

Summary / Rationale

Now that the Content Service is fully operational, it's time for the Android app to lead by example in integrating with it for fetching article content. This will provide numerous benefits (including faster load times), and will motivate other teams to adopt the Service.

Goal Visibility

Reading internal goal

Success Metrics

Without committing to a specific number, this should at the very least decrease the overall time it takes for the app to fetch the article content, as well as decrease the actual number of network requests that the app makes. The success metric can be based on the raw amount of mobile data used by the app (based on an A/B test of using the Content Service versus the current API).

External Dependencies

This will depend on the Content Service being able to handle ever-increasing loads, which has not yet been fully tested.

Unknowns

None.

Product Plan

Prototyping

No prototypes are required, since this doesn't impact the appearance of articles, and instead focuses on performance.

MVP

The article should load exactly the same way as is has before, except faster.

Metrics Implementation

Define any tasks needed to be completed to enable the success metrics to measured. Create a Phab task and link to it here.

Timeline Estimate

List estimates below. These do not have to be exact. These are just used to validate proposed timelines and ship dates.

TaskEstimate
Prototyping1 week
User Testing2 weeks
Mockups2 weeks
Development2 weeks
Beta Testing1 week

Delivery Estimate

EOQ2

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Dbrant created this task.Oct 14 2015, 3:49 PM
Dbrant raised the priority of this task from to Needs Triage.
Dbrant updated the task description. (Show Details)
Dbrant added projects: Mobile-App-Goals, Epic.
Dbrant moved this task to Q2 Android on the Mobile-App-Goals board.
Dbrant added a subscriber: Dbrant.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 14 2015, 3:49 PM
dr0ptp4kt set Security to None.
dr0ptp4kt moved this task from Backlog to Current Quarter on the Reading-Admin board.
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 6 2015, 4:58 AM
Dbrant closed this task as Resolved.Feb 11 2016, 4:03 PM
Dbrant claimed this task.